Skip to content
API referenceConsumerConsumer.auth

Create a single-use 5-minute pairing token for QR-based device onboarding

POST
/consumer/v1/auth/device/pair-token

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/consumer/v1/auth/device/pair-token" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "expires_at": "2019-08-24T14:15:22Z",  "qr_payload": "string",  "token": "string"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}